Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class NameSpaceDecl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.AttrImpl
                        |
                        +--org.apache.xalan.stree.AttrImplNS
                              |
                              +--org.apache.xalan.stree.NameSpaceDecl

public class NameSpaceDecl
extends AttrImplNS

Method Summary
`boolean` | `isNamespaceNode()` Tell if the given node is a namespace decl node.

Methods inherited from class org.apache.xalan.stree.AttrImplNS
`getLocalName, getNamespaceURI, getPrefix`

Methods inherited from class org.apache.xalan.stree.AttrImpl
`getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSpecified, getValue, setValue`

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getFirstChild, getLastChild, getLevel, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getTagName, getUid, hasChildNodes, isComplete, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLength, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isNamespaceNode

    public boolean isNamespaceNode()

  Tell if the given node is a namespace decl node.
  Overrides:
    isNamespaceNode in class Child

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.